MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004782ardourotherpublic2012-03-19 21:262014-12-27 00:04
ReporterJk_Wichita 
Assigned To 
PrioritynormalSeverityminorReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version3.0-beta3 
Target Version3.XFixed in Version 
Summary0004782: waf failed build, due to wiimote , can anyone help?
Description708/757] cxx: libs/surfaces/wiimote/wiimote.cc -> build/libs/surfaces/wiimote/wiimote.cc.1.o
In file included from ../libs/surfaces/wiimote/wiimote.cc:1:0:
/home/jk/3.0/libs/pbd/pbd/stateful.h:50:14: warning: ‘virtual int PBD::Stateful::set_state(const XMLNode&, int)’ was hidden [-Woverloaded-virtual]
../libs/surfaces/wiimote/wiimote.h:37:7: warning: by ‘int WiimoteControlProtocol::set_state(const XMLNode&)’ [-Woverloaded-virtual]
../libs/surfaces/wiimote/wiimote.cc: In constructor ‘WiimoteControlProtocol::WiimoteControlProtocol(ARDOUR::Session&)’:
../libs/surfaces/wiimote/wiimote.cc:24:21: error: no matching function for call to ‘ARDOUR::ControlProtocol::ControlProtocol(ARDOUR::Session&, const char [8])’
../libs/surfaces/wiimote/wiimote.cc:24:21: note: candidates are:
/home/jk/3.0/libs/surfaces/control_protocol/control_protocol/control_protocol.h:122:2: note: ARDOUR::ControlProtocol::ControlProtocol(const ARDOUR::ControlProtocol&)
/home/jk/3.0/libs/surfaces/control_protocol/control_protocol/control_protocol.h:122:2: note: candidate expects 1 argument, 2 provided
/home/jk/3.0/libs/surfaces/control_protocol/control_protocol/control_protocol.h:40:2: note: ARDOUR::ControlProtocol::ControlProtocol(ARDOUR::Session&, std::string, PBD::EventLoop*)
/home/jk/3.0/libs/surfaces/control_protocol/control_protocol/control_protocol.h:40:2: note: candidate expects 3 arguments, 2 provided
../libs/surfaces/wiimote/wiimote.cc: At global scope:
../libs/surfaces/wiimote/wiimote.cc:169:40: error: no ‘void WiimoteControlProtocol::_wiimote_main()’ member function declared in class ‘WiimoteControlProtocol’
Waf: Leaving directory `/home/jk/3.0/build'
Build failed
 -> task failed (exit status 1):
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0012991)
cth103 (administrator)
2012-03-20 10:44

The Wiimote code doesn't build right now. Run ./waf configure without the --wiimote flag.
(0013017)
Jk_Wichita (reporter)
2012-03-23 22:46

Built without wiimote no problem.

Ardour 3.0beta3
(built from revision ['11752'])
(0013018)
nowhiskey (reporter)
2012-03-24 04:25

is it planed to implement wiimote into a3 at any time at all?

cheers,

doc
(0013029)
cth103 (administrator)
2012-03-24 16:09

Someone with a wiimote needs to do it, really.
(0016114)
timbyr (developer)
2014-12-27 00:04

The wiimote surface controller has compiled successfully for some time.

- Issue History
Date Modified Username Field Change
2012-03-19 21:26 Jk_Wichita New Issue
2012-03-20 10:44 cth103 Note Added: 0012991
2012-03-20 10:44 cth103 Status new => feedback
2012-03-23 22:46 Jk_Wichita Note Added: 0013017
2012-03-24 04:25 nowhiskey Note Added: 0013018
2012-03-24 16:09 cth103 Note Added: 0013029
2012-03-24 16:10 cth103 cost => 0.00
2012-03-24 16:10 cth103 Target Version => 3.X
2014-12-27 00:04 timbyr Note Added: 0016114
2014-12-27 00:04 timbyr Status feedback => closed
2014-12-27 00:04 timbyr Resolution open => fixed
2014-12-27 00:04 timbyr Fixed in Version => 3.X git (version in description)


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker